<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfGeoFenceLog ArrayType
 * @subpackage Arrays
 */
class ArrayOfGeoFenceLog extends AbstractStructArrayBase
{
    /**
     * The GeoFenceLog
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\GeoFenceLog[]
     */
    public $GeoFenceLog;
    /**
     * Constructor method for ArrayOfGeoFenceLog
     * @uses ArrayOfGeoFenceLog::setGeoFenceLog()
     * @param \StructType\GeoFenceLog[] $geoFenceLog
     */
    public function __construct(array $geoFenceLog = array())
    {
        $this
            ->setGeoFenceLog($geoFenceLog);
    }
    /**
     * Get GeoFenceLog value
     * @return \StructType\GeoFenceLog[]|null
     */
    public function getGeoFenceLog()
    {
        return $this->GeoFenceLog;
    }
    /**
     * Set GeoFenceLog value
     * @throws \InvalidArgumentException
     * @param \StructType\GeoFenceLog[] $geoFenceLog
     * @return \ArrayType\ArrayOfGeoFenceLog
     */
    public function setGeoFenceLog(array $geoFenceLog = array())
    {
        foreach ($geoFenceLog as $arrayOfGeoFenceLogGeoFenceLogItem) {
            // validation for constraint: itemType
            if (!$arrayOfGeoFenceLogGeoFenceLogItem instanceof \StructType\GeoFenceLog) {
                throw new \InvalidArgumentException(sprintf('The GeoFenceLog property can only contain items of \StructType\GeoFenceLog, "%s" given', is_object($arrayOfGeoFenceLogGeoFenceLogItem) ? get_class($arrayOfGeoFenceLogGeoFenceLogItem) : gettype($arrayOfGeoFenceLogGeoFenceLogItem)), __LINE__);
            }
        }
        $this->GeoFenceLog = $geoFenceLog;
        return $this;
    }
    /**
     * Add item to GeoFenceLog value
     * @throws \InvalidArgumentException
     * @param \StructType\GeoFenceLog $item
     * @return \ArrayType\ArrayOfGeoFenceLog
     */
    public function addToGeoFenceLog(\StructType\GeoFenceLog $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\GeoFenceLog) {
            throw new \InvalidArgumentException(sprintf('The GeoFenceLog property can only contain items of \StructType\GeoFenceLog, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->GeoFenceLog[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\GeoFenceLog|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\GeoFenceLog|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\GeoFenceLog|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\GeoFenceLog|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\GeoFenceLog|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string GeoFenceLog
     */
    public function getAttributeName()
    {
        return 'GeoFenceLog';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfGeoFenceLog
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
