<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfGeolocatedPassengerLog ArrayType
 * @subpackage Arrays
 */
class ArrayOfGeolocatedPassengerLog extends AbstractStructArrayBase
{
    /**
     * The GeolocatedPassengerLog
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\GeolocatedPassengerLog[]
     */
    public $GeolocatedPassengerLog;
    /**
     * Constructor method for ArrayOfGeolocatedPassengerLog
     * @uses ArrayOfGeolocatedPassengerLog::setGeolocatedPassengerLog()
     * @param \StructType\GeolocatedPassengerLog[] $geolocatedPassengerLog
     */
    public function __construct(array $geolocatedPassengerLog = array())
    {
        $this
            ->setGeolocatedPassengerLog($geolocatedPassengerLog);
    }
    /**
     * Get GeolocatedPassengerLog value
     * @return \StructType\GeolocatedPassengerLog[]|null
     */
    public function getGeolocatedPassengerLog()
    {
        return $this->GeolocatedPassengerLog;
    }
    /**
     * Set GeolocatedPassengerLog value
     * @throws \InvalidArgumentException
     * @param \StructType\GeolocatedPassengerLog[] $geolocatedPassengerLog
     * @return \ArrayType\ArrayOfGeolocatedPassengerLog
     */
    public function setGeolocatedPassengerLog(array $geolocatedPassengerLog = array())
    {
        foreach ($geolocatedPassengerLog as $arrayOfGeolocatedPassengerLogGeolocatedPassengerLogItem) {
            // validation for constraint: itemType
            if (!$arrayOfGeolocatedPassengerLogGeolocatedPassengerLogItem instanceof \StructType\GeolocatedPassengerLog) {
                throw new \InvalidArgumentException(sprintf('The GeolocatedPassengerLog property can only contain items of \StructType\GeolocatedPassengerLog, "%s" given', is_object($arrayOfGeolocatedPassengerLogGeolocatedPassengerLogItem) ? get_class($arrayOfGeolocatedPassengerLogGeolocatedPassengerLogItem) : gettype($arrayOfGeolocatedPassengerLogGeolocatedPassengerLogItem)), __LINE__);
            }
        }
        $this->GeolocatedPassengerLog = $geolocatedPassengerLog;
        return $this;
    }
    /**
     * Add item to GeolocatedPassengerLog value
     * @throws \InvalidArgumentException
     * @param \StructType\GeolocatedPassengerLog $item
     * @return \ArrayType\ArrayOfGeolocatedPassengerLog
     */
    public function addToGeolocatedPassengerLog(\StructType\GeolocatedPassengerLog $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\GeolocatedPassengerLog) {
            throw new \InvalidArgumentException(sprintf('The GeolocatedPassengerLog property can only contain items of \StructType\GeolocatedPassengerLog, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->GeolocatedPassengerLog[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\GeolocatedPassengerLog|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\GeolocatedPassengerLog|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\GeolocatedPassengerLog|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\GeolocatedPassengerLog|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\GeolocatedPassengerLog|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string GeolocatedPassengerLog
     */
    public function getAttributeName()
    {
        return 'GeolocatedPassengerLog';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfGeolocatedPassengerLog
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
