<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfGroupGeoFencePoints ArrayType
 * @subpackage Arrays
 */
class ArrayOfGroupGeoFencePoints extends AbstractStructArrayBase
{
    /**
     * The GroupGeoFencePoints
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\GroupGeoFencePoints[]
     */
    public $GroupGeoFencePoints;
    /**
     * Constructor method for ArrayOfGroupGeoFencePoints
     * @uses ArrayOfGroupGeoFencePoints::setGroupGeoFencePoints()
     * @param \StructType\GroupGeoFencePoints[] $groupGeoFencePoints
     */
    public function __construct(array $groupGeoFencePoints = array())
    {
        $this
            ->setGroupGeoFencePoints($groupGeoFencePoints);
    }
    /**
     * Get GroupGeoFencePoints value
     * @return \StructType\GroupGeoFencePoints[]|null
     */
    public function getGroupGeoFencePoints()
    {
        return $this->GroupGeoFencePoints;
    }
    /**
     * Set GroupGeoFencePoints value
     * @throws \InvalidArgumentException
     * @param \StructType\GroupGeoFencePoints[] $groupGeoFencePoints
     * @return \ArrayType\ArrayOfGroupGeoFencePoints
     */
    public function setGroupGeoFencePoints(array $groupGeoFencePoints = array())
    {
        foreach ($groupGeoFencePoints as $arrayOfGroupGeoFencePointsGroupGeoFencePointsItem) {
            // validation for constraint: itemType
            if (!$arrayOfGroupGeoFencePointsGroupGeoFencePointsItem instanceof \StructType\GroupGeoFencePoints) {
                throw new \InvalidArgumentException(sprintf('The GroupGeoFencePoints property can only contain items of \StructType\GroupGeoFencePoints, "%s" given', is_object($arrayOfGroupGeoFencePointsGroupGeoFencePointsItem) ? get_class($arrayOfGroupGeoFencePointsGroupGeoFencePointsItem) : gettype($arrayOfGroupGeoFencePointsGroupGeoFencePointsItem)), __LINE__);
            }
        }
        $this->GroupGeoFencePoints = $groupGeoFencePoints;
        return $this;
    }
    /**
     * Add item to GroupGeoFencePoints value
     * @throws \InvalidArgumentException
     * @param \StructType\GroupGeoFencePoints $item
     * @return \ArrayType\ArrayOfGroupGeoFencePoints
     */
    public function addToGroupGeoFencePoints(\StructType\GroupGeoFencePoints $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\GroupGeoFencePoints) {
            throw new \InvalidArgumentException(sprintf('The GroupGeoFencePoints property can only contain items of \StructType\GroupGeoFencePoints, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->GroupGeoFencePoints[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\GroupGeoFencePoints|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\GroupGeoFencePoints|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\GroupGeoFencePoints|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\GroupGeoFencePoints|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\GroupGeoFencePoints|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string GroupGeoFencePoints
     */
    public function getAttributeName()
    {
        return 'GroupGeoFencePoints';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfGroupGeoFencePoints
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
