<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfQuickMessageLog ArrayType
 * @subpackage Arrays
 */
class ArrayOfQuickMessageLog extends AbstractStructArrayBase
{
    /**
     * The QuickMessageLog
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\QuickMessageLog[]
     */
    public $QuickMessageLog;
    /**
     * Constructor method for ArrayOfQuickMessageLog
     * @uses ArrayOfQuickMessageLog::setQuickMessageLog()
     * @param \StructType\QuickMessageLog[] $quickMessageLog
     */
    public function __construct(array $quickMessageLog = array())
    {
        $this
            ->setQuickMessageLog($quickMessageLog);
    }
    /**
     * Get QuickMessageLog value
     * @return \StructType\QuickMessageLog[]|null
     */
    public function getQuickMessageLog()
    {
        return $this->QuickMessageLog;
    }
    /**
     * Set QuickMessageLog value
     * @throws \InvalidArgumentException
     * @param \StructType\QuickMessageLog[] $quickMessageLog
     * @return \ArrayType\ArrayOfQuickMessageLog
     */
    public function setQuickMessageLog(array $quickMessageLog = array())
    {
        foreach ($quickMessageLog as $arrayOfQuickMessageLogQuickMessageLogItem) {
            // validation for constraint: itemType
            if (!$arrayOfQuickMessageLogQuickMessageLogItem instanceof \StructType\QuickMessageLog) {
                throw new \InvalidArgumentException(sprintf('The QuickMessageLog property can only contain items of \StructType\QuickMessageLog, "%s" given', is_object($arrayOfQuickMessageLogQuickMessageLogItem) ? get_class($arrayOfQuickMessageLogQuickMessageLogItem) : gettype($arrayOfQuickMessageLogQuickMessageLogItem)), __LINE__);
            }
        }
        $this->QuickMessageLog = $quickMessageLog;
        return $this;
    }
    /**
     * Add item to QuickMessageLog value
     * @throws \InvalidArgumentException
     * @param \StructType\QuickMessageLog $item
     * @return \ArrayType\ArrayOfQuickMessageLog
     */
    public function addToQuickMessageLog(\StructType\QuickMessageLog $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\QuickMessageLog) {
            throw new \InvalidArgumentException(sprintf('The QuickMessageLog property can only contain items of \StructType\QuickMessageLog, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->QuickMessageLog[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\QuickMessageLog|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\QuickMessageLog|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\QuickMessageLog|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\QuickMessageLog|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\QuickMessageLog|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string QuickMessageLog
     */
    public function getAttributeName()
    {
        return 'QuickMessageLog';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfQuickMessageLog
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
