<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfZoneDef ArrayType
 * @subpackage Arrays
 */
class ArrayOfZoneDef extends AbstractStructArrayBase
{
    /**
     * The ZoneDef
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\ZoneDef[]
     */
    public $ZoneDef;
    /**
     * Constructor method for ArrayOfZoneDef
     * @uses ArrayOfZoneDef::setZoneDef()
     * @param \StructType\ZoneDef[] $zoneDef
     */
    public function __construct(array $zoneDef = array())
    {
        $this
            ->setZoneDef($zoneDef);
    }
    /**
     * Get ZoneDef value
     * @return \StructType\ZoneDef[]|null
     */
    public function getZoneDef()
    {
        return $this->ZoneDef;
    }
    /**
     * Set ZoneDef value
     * @throws \InvalidArgumentException
     * @param \StructType\ZoneDef[] $zoneDef
     * @return \ArrayType\ArrayOfZoneDef
     */
    public function setZoneDef(array $zoneDef = array())
    {
        foreach ($zoneDef as $arrayOfZoneDefZoneDefItem) {
            // validation for constraint: itemType
            if (!$arrayOfZoneDefZoneDefItem instanceof \StructType\ZoneDef) {
                throw new \InvalidArgumentException(sprintf('The ZoneDef property can only contain items of \StructType\ZoneDef, "%s" given', is_object($arrayOfZoneDefZoneDefItem) ? get_class($arrayOfZoneDefZoneDefItem) : gettype($arrayOfZoneDefZoneDefItem)), __LINE__);
            }
        }
        $this->ZoneDef = $zoneDef;
        return $this;
    }
    /**
     * Add item to ZoneDef value
     * @throws \InvalidArgumentException
     * @param \StructType\ZoneDef $item
     * @return \ArrayType\ArrayOfZoneDef
     */
    public function addToZoneDef(\StructType\ZoneDef $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ZoneDef) {
            throw new \InvalidArgumentException(sprintf('The ZoneDef property can only contain items of \StructType\ZoneDef, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->ZoneDef[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ZoneDef|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ZoneDef|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ZoneDef|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ZoneDef|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ZoneDef|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ZoneDef
     */
    public function getAttributeName()
    {
        return 'ZoneDef';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfZoneDef
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
