<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'GET_TrackerOdometer' => '\\StructType\\GET_TrackerOdometer',
            'GET_TrackerOdometerResponse' => '\\StructType\\GET_TrackerOdometerResponse',
            'OdometerResponse' => '\\StructType\\OdometerResponse',
            'ArrayOfOdometer' => '\\ArrayType\\ArrayOfOdometer',
            'Odometer' => '\\StructType\\Odometer',
            'GET_ReferencePoints' => '\\StructType\\GET_ReferencePoints',
            'GET_ReferencePointsResponse' => '\\StructType\\GET_ReferencePointsResponse',
            'ReferencePointResponse' => '\\StructType\\ReferencePointResponse',
            'ArrayOfReferencePointStruct' => '\\ArrayType\\ArrayOfReferencePointStruct',
            'ReferencePointStruct' => '\\StructType\\ReferencePointStruct',
            'GET_GeoFenceLog' => '\\StructType\\GET_GeoFenceLog',
            'GET_GeoFenceLogResponse' => '\\StructType\\GET_GeoFenceLogResponse',
            'GeoFenceLogResponse' => '\\StructType\\GeoFenceLogResponse',
            'ArrayOfGeoFenceLog' => '\\ArrayType\\ArrayOfGeoFenceLog',
            'GeoFenceLog' => '\\StructType\\GeoFenceLog',
            'EventLocation' => '\\StructType\\EventLocation',
            'GET_GeofenceWithPoints' => '\\StructType\\GET_GeofenceWithPoints',
            'GET_GeofenceWithPointsResponse' => '\\StructType\\GET_GeofenceWithPointsResponse',
            'GroupGeoFencePointsResponse' => '\\StructType\\GroupGeoFencePointsResponse',
            'ArrayOfGroupGeoFencePoints' => '\\ArrayType\\ArrayOfGroupGeoFencePoints',
            'GroupGeoFencePoints' => '\\StructType\\GroupGeoFencePoints',
            'GroupGeofence' => '\\StructType\\GroupGeofence',
            'GET_UserProfile' => '\\StructType\\GET_UserProfile',
            'GET_UserProfileResponse' => '\\StructType\\GET_UserProfileResponse',
            'UserProfileResponse' => '\\StructType\\UserProfileResponse',
            'UserProfile' => '\\StructType\\UserProfile',
            'GET_AccountList' => '\\StructType\\GET_AccountList',
            'GET_AccountListResponse' => '\\StructType\\GET_AccountListResponse',
            'AccountListResponse' => '\\StructType\\AccountListResponse',
            'ArrayOfAccountInfo' => '\\ArrayType\\ArrayOfAccountInfo',
            'AccountInfo' => '\\StructType\\AccountInfo',
            'GET_FleetList' => '\\StructType\\GET_FleetList',
            'GET_FleetListResponse' => '\\StructType\\GET_FleetListResponse',
            'FleetListResponse' => '\\StructType\\FleetListResponse',
            'ArrayOfFleetInfo' => '\\ArrayType\\ArrayOfFleetInfo',
            'FleetInfo' => '\\StructType\\FleetInfo',
            'GET_MobileList' => '\\StructType\\GET_MobileList',
            'GET_MobileListResponse' => '\\StructType\\GET_MobileListResponse',
            'MobileListResponse' => '\\StructType\\MobileListResponse',
            'ArrayOfMobile' => '\\ArrayType\\ArrayOfMobile',
            'Mobile' => '\\StructType\\Mobile',
            'ArrayOfMobile_addons' => '\\ArrayType\\ArrayOfMobile_addons',
            'Mobile_addons' => '\\StructType\\Mobile_addons',
            'GET_EventsHistory' => '\\StructType\\GET_EventsHistory',
            'GET_EventsHistoryResponse' => '\\StructType\\GET_EventsHistoryResponse',
            'EventListResponse' => '\\StructType\\EventListResponse',
            'ArrayOfEventLocation' => '\\ArrayType\\ArrayOfEventLocation',
            'GET_LastLocation' => '\\StructType\\GET_LastLocation',
            'GET_LastLocationResponse' => '\\StructType\\GET_LastLocationResponse',
            'GET_NearestEventWhen' => '\\StructType\\GET_NearestEventWhen',
            'GET_NearestEventWhenResponse' => '\\StructType\\GET_NearestEventWhenResponse',
            'GET_LastLocation_Fleet' => '\\StructType\\GET_LastLocation_Fleet',
            'GET_LastLocation_FleetResponse' => '\\StructType\\GET_LastLocation_FleetResponse',
            'GET_ItinerariesHistory' => '\\StructType\\GET_ItinerariesHistory',
            'GET_ItinerariesHistoryResponse' => '\\StructType\\GET_ItinerariesHistoryResponse',
            'ItLogResponse' => '\\StructType\\ItLogResponse',
            'ArrayOfItLog' => '\\ArrayType\\ArrayOfItLog',
            'ItLog' => '\\StructType\\ItLog',
            'ArrayOfItPointLog' => '\\ArrayType\\ArrayOfItPointLog',
            'ItPointLog' => '\\StructType\\ItPointLog',
            'GET_ItinerariesHistory_v2' => '\\StructType\\GET_ItinerariesHistory_v2',
            'GET_ItinerariesHistory_v2Response' => '\\StructType\\GET_ItinerariesHistory_v2Response',
            'GET_AlertsHistory' => '\\StructType\\GET_AlertsHistory',
            'GET_AlertsHistoryResponse' => '\\StructType\\GET_AlertsHistoryResponse',
            'AlertListResponse' => '\\StructType\\AlertListResponse',
            'ArrayOfAlert' => '\\ArrayType\\ArrayOfAlert',
            'Alert' => '\\StructType\\Alert',
            'GET_PendingAlerts' => '\\StructType\\GET_PendingAlerts',
            'GET_PendingAlertsResponse' => '\\StructType\\GET_PendingAlertsResponse',
            'SET_DeletedAlert' => '\\StructType\\SET_DeletedAlert',
            'SET_DeletedAlertResponse' => '\\StructType\\SET_DeletedAlertResponse',
            'CommandResponse' => '\\StructType\\CommandResponse',
            'GET_MobileGroups' => '\\StructType\\GET_MobileGroups',
            'GET_MobileGroupsResponse' => '\\StructType\\GET_MobileGroupsResponse',
            'MobileGroupResponse' => '\\StructType\\MobileGroupResponse',
            'ArrayOfMobileGroup' => '\\ArrayType\\ArrayOfMobileGroup',
            'MobileGroup' => '\\StructType\\MobileGroup',
            'GET_Itineraries' => '\\StructType\\GET_Itineraries',
            'GET_ItinerariesResponse' => '\\StructType\\GET_ItinerariesResponse',
            'ItineraryResponse' => '\\StructType\\ItineraryResponse',
            'ArrayOfItinerary' => '\\ArrayType\\ArrayOfItinerary',
            'Itinerary' => '\\StructType\\Itinerary',
            'ArrayOfItPoint' => '\\ArrayType\\ArrayOfItPoint',
            'ItPoint' => '\\StructType\\ItPoint',
            'GET_GroupGeofences' => '\\StructType\\GET_GroupGeofences',
            'GET_GroupGeofencesResponse' => '\\StructType\\GET_GroupGeofencesResponse',
            'GroupGeofenceResponse' => '\\StructType\\GroupGeofenceResponse',
            'ArrayOfGroupGeofence' => '\\ArrayType\\ArrayOfGroupGeofence',
            'GET_MobileGeofences' => '\\StructType\\GET_MobileGeofences',
            'GET_MobileGeofencesResponse' => '\\StructType\\GET_MobileGeofencesResponse',
            'MobileGeofenceResponse' => '\\StructType\\MobileGeofenceResponse',
            'ArrayOfMobileGeofence' => '\\ArrayType\\ArrayOfMobileGeofence',
            'MobileGeofence' => '\\StructType\\MobileGeofence',
            'GET_Drivers' => '\\StructType\\GET_Drivers',
            'GET_DriversResponse' => '\\StructType\\GET_DriversResponse',
            'DriverListResponse' => '\\StructType\\DriverListResponse',
            'ArrayOfDriver' => '\\ArrayType\\ArrayOfDriver',
            'Driver' => '\\StructType\\Driver',
            'ArrayOfString' => '\\ArrayType\\ArrayOfString',
            'GET_Drivers_v2' => '\\StructType\\GET_Drivers_v2',
            'GET_Drivers_v2Response' => '\\StructType\\GET_Drivers_v2Response',
            'SET_ItAssign' => '\\StructType\\SET_ItAssign',
            'SET_ItAssignResponse' => '\\StructType\\SET_ItAssignResponse',
            'SET_ItAssign_v2' => '\\StructType\\SET_ItAssign_v2',
            'SET_ItAssign_v2Response' => '\\StructType\\SET_ItAssign_v2Response',
            'ItAssignResponse' => '\\StructType\\ItAssignResponse',
            'SET_ItCancel' => '\\StructType\\SET_ItCancel',
            'SET_ItCancelResponse' => '\\StructType\\SET_ItCancelResponse',
            'GET_CmdStatus' => '\\StructType\\GET_CmdStatus',
            'GET_CmdStatusResponse' => '\\StructType\\GET_CmdStatusResponse',
            'CmdStatusResponse' => '\\StructType\\CmdStatusResponse',
            'SET_CmdCancel' => '\\StructType\\SET_CmdCancel',
            'SET_CmdCancelResponse' => '\\StructType\\SET_CmdCancelResponse',
            'GET_GeoCoding' => '\\StructType\\GET_GeoCoding',
            'GET_GeoCodingResponse' => '\\StructType\\GET_GeoCodingResponse',
            'GeoCodingResponse' => '\\StructType\\GeoCodingResponse',
            'ArrayOfAddress' => '\\ArrayType\\ArrayOfAddress',
            'Address' => '\\StructType\\Address',
            'Point' => '\\StructType\\Point',
            'GET_GeoCodingPOI' => '\\StructType\\GET_GeoCodingPOI',
            'GET_GeoCodingPOIResponse' => '\\StructType\\GET_GeoCodingPOIResponse',
            'GET_GeoCodingUSERPOI' => '\\StructType\\GET_GeoCodingUSERPOI',
            'GET_GeoCodingUSERPOIResponse' => '\\StructType\\GET_GeoCodingUSERPOIResponse',
            'GET_NearestMobiles' => '\\StructType\\GET_NearestMobiles',
            'GET_NearestMobilesResponse' => '\\StructType\\GET_NearestMobilesResponse',
            'NearestResponse' => '\\StructType\\NearestResponse',
            'ArrayOfMobileDistance' => '\\ArrayType\\ArrayOfMobileDistance',
            'MobileDistance' => '\\StructType\\MobileDistance',
            'GET_MobileInfo' => '\\StructType\\GET_MobileInfo',
            'GET_MobileInfoResponse' => '\\StructType\\GET_MobileInfoResponse',
            'MobileInfoResponse' => '\\StructType\\MobileInfoResponse',
            'MobileInfo' => '\\StructType\\MobileInfo',
            'SET_ServiceAssign' => '\\StructType\\SET_ServiceAssign',
            'SET_ServiceAssignResponse' => '\\StructType\\SET_ServiceAssignResponse',
            'ServiceAssignResponse' => '\\StructType\\ServiceAssignResponse',
            'SEND_QuickMessageCfg' => '\\StructType\\SEND_QuickMessageCfg',
            'SEND_QuickMessageCfgResponse' => '\\StructType\\SEND_QuickMessageCfgResponse',
            'GET_ServiceInfo' => '\\StructType\\GET_ServiceInfo',
            'GET_ServiceInfoResponse' => '\\StructType\\GET_ServiceInfoResponse',
            'ServiceInfoResponse' => '\\StructType\\ServiceInfoResponse',
            'ServiceInfo' => '\\StructType\\ServiceInfo',
            'GET_ServicesHistory' => '\\StructType\\GET_ServicesHistory',
            'GET_ServicesHistoryResponse' => '\\StructType\\GET_ServicesHistoryResponse',
            'ServicesLogResponse' => '\\StructType\\ServicesLogResponse',
            'ArrayOfServicesLog' => '\\ArrayType\\ArrayOfServicesLog',
            'ServicesLog' => '\\StructType\\ServicesLog',
            'ArrayOfServiceStatusLog' => '\\ArrayType\\ArrayOfServiceStatusLog',
            'ServiceStatusLog' => '\\StructType\\ServiceStatusLog',
            'GET_DriversHistory' => '\\StructType\\GET_DriversHistory',
            'GET_DriversHistoryResponse' => '\\StructType\\GET_DriversHistoryResponse',
            'DriversLogResponse' => '\\StructType\\DriversLogResponse',
            'ArrayOfDriversLog' => '\\ArrayType\\ArrayOfDriversLog',
            'DriversLog' => '\\StructType\\DriversLog',
            'GET_CounterHistory' => '\\StructType\\GET_CounterHistory',
            'GET_CounterHistoryResponse' => '\\StructType\\GET_CounterHistoryResponse',
            'CounterLogResponse' => '\\StructType\\CounterLogResponse',
            'ArrayOfCounterLog' => '\\ArrayType\\ArrayOfCounterLog',
            'CounterLog' => '\\StructType\\CounterLog',
            'GET_GeolocatedPassengerHistory' => '\\StructType\\GET_GeolocatedPassengerHistory',
            'GET_GeolocatedPassengerHistoryResponse' => '\\StructType\\GET_GeolocatedPassengerHistoryResponse',
            'GeolocatedPassengerLogResponse' => '\\StructType\\GeolocatedPassengerLogResponse',
            'ArrayOfGeolocatedPassengerLog' => '\\ArrayType\\ArrayOfGeolocatedPassengerLog',
            'GeolocatedPassengerLog' => '\\StructType\\GeolocatedPassengerLog',
            'ArrayOfDoor' => '\\ArrayType\\ArrayOfDoor',
            'Door' => '\\StructType\\Door',
            'GET_PassengersCounter' => '\\StructType\\GET_PassengersCounter',
            'GET_PassengersCounterResponse' => '\\StructType\\GET_PassengersCounterResponse',
            'PassengersLogResponse' => '\\StructType\\PassengersLogResponse',
            'ArrayOfPassengersLog' => '\\ArrayType\\ArrayOfPassengersLog',
            'PassengersLog' => '\\StructType\\PassengersLog',
            'SET_Driver' => '\\StructType\\SET_Driver',
            'SET_DriverResponse' => '\\StructType\\SET_DriverResponse',
            'GET_CAN_variables' => '\\StructType\\GET_CAN_variables',
            'GET_CAN_variablesResponse' => '\\StructType\\GET_CAN_variablesResponse',
            'CANVariablesListResponse' => '\\StructType\\CANVariablesListResponse',
            'ArrayOfCANVariables' => '\\ArrayType\\ArrayOfCANVariables',
            'CANVariables' => '\\StructType\\CANVariables',
            'GET_CANEventsHistory' => '\\StructType\\GET_CANEventsHistory',
            'GET_CANEventsHistoryResponse' => '\\StructType\\GET_CANEventsHistoryResponse',
            'CANEventListResponse' => '\\StructType\\CANEventListResponse',
            'ArrayOfCANEventLocation' => '\\ArrayType\\ArrayOfCANEventLocation',
            'CANEventLocation' => '\\StructType\\CANEventLocation',
            'GET_OffLineMobiles' => '\\StructType\\GET_OffLineMobiles',
            'GET_OffLineMobilesResponse' => '\\StructType\\GET_OffLineMobilesResponse',
            'GET_MobileStatusHistory' => '\\StructType\\GET_MobileStatusHistory',
            'GET_MobileStatusHistoryResponse' => '\\StructType\\GET_MobileStatusHistoryResponse',
            'MobileStatusLogResponse' => '\\StructType\\MobileStatusLogResponse',
            'ArrayOfMobileStatusLog' => '\\ArrayType\\ArrayOfMobileStatusLog',
            'MobileStatusLog' => '\\StructType\\MobileStatusLog',
            'GET_ZonesList' => '\\StructType\\GET_ZonesList',
            'GET_ZonesListResponse' => '\\StructType\\GET_ZonesListResponse',
            'GetZonesResponse' => '\\StructType\\GetZonesResponse',
            'ArrayOfZoneDef' => '\\ArrayType\\ArrayOfZoneDef',
            'ZoneDef' => '\\StructType\\ZoneDef',
            'ArrayOfPoint_2D' => '\\ArrayType\\ArrayOfPoint_2D',
            'Point_2D' => '\\StructType\\Point_2D',
            'SET_ZoneAssign' => '\\StructType\\SET_ZoneAssign',
            'SET_ZoneAssignResponse' => '\\StructType\\SET_ZoneAssignResponse',
            'Response' => '\\StructType\\Response',
            'SET_ZoneUnAssign' => '\\StructType\\SET_ZoneUnAssign',
            'SET_ZoneUnAssignResponse' => '\\StructType\\SET_ZoneUnAssignResponse',
            'GET_AssignedZonesList' => '\\StructType\\GET_AssignedZonesList',
            'GET_AssignedZonesListResponse' => '\\StructType\\GET_AssignedZonesListResponse',
            'GET_CommandList' => '\\StructType\\GET_CommandList',
            'GET_CommandListResponse' => '\\StructType\\GET_CommandListResponse',
            'MobileCommandResponse' => '\\StructType\\MobileCommandResponse',
            'ArrayOfMobileCommand' => '\\ArrayType\\ArrayOfMobileCommand',
            'MobileCommand' => '\\StructType\\MobileCommand',
            'SEND_CommandToMobile' => '\\StructType\\SEND_CommandToMobile',
            'SEND_CommandToMobileResponse' => '\\StructType\\SEND_CommandToMobileResponse',
            'SendCmdResponse' => '\\StructType\\SendCmdResponse',
            'SEND_MsgToMobile' => '\\StructType\\SEND_MsgToMobile',
            'SEND_MsgToMobileResponse' => '\\StructType\\SEND_MsgToMobileResponse',
            'GET_QuickMessageLog' => '\\StructType\\GET_QuickMessageLog',
            'GET_QuickMessageLogResponse' => '\\StructType\\GET_QuickMessageLogResponse',
            'QuickMessageLogResponse' => '\\StructType\\QuickMessageLogResponse',
            'ArrayOfQuickMessageLog' => '\\ArrayType\\ArrayOfQuickMessageLog',
            'QuickMessageLog' => '\\StructType\\QuickMessageLog',
            'GET_SATMobileStatus' => '\\StructType\\GET_SATMobileStatus',
            'GET_SATMobileStatusResponse' => '\\StructType\\GET_SATMobileStatusResponse',
            'GetSATStatusResponse' => '\\StructType\\GetSATStatusResponse',
            'ArrayOfSATStatus' => '\\ArrayType\\ArrayOfSATStatus',
            'SATStatus' => '\\StructType\\SATStatus',
            'SET_SATMobileStatus' => '\\StructType\\SET_SATMobileStatus',
            'SET_SATMobileStatusResponse' => '\\StructType\\SET_SATMobileStatusResponse',
            'GET_LastLocationByPlate' => '\\StructType\\GET_LastLocationByPlate',
            'GET_LastLocationByPlateResponse' => '\\StructType\\GET_LastLocationByPlateResponse',
            'GET_ItPointHistory' => '\\StructType\\GET_ItPointHistory',
            'GET_ItPointHistoryResponse' => '\\StructType\\GET_ItPointHistoryResponse',
            'GET_NextItPointArrival' => '\\StructType\\GET_NextItPointArrival',
            'GET_NextItPointArrivalResponse' => '\\StructType\\GET_NextItPointArrivalResponse',
            'ItPointArrivalResponse' => '\\StructType\\ItPointArrivalResponse',
            'ArrayOfItPointArrival' => '\\ArrayType\\ArrayOfItPointArrival',
            'ItPointArrival' => '\\StructType\\ItPointArrival',
            'GET_MobileOperationInfo' => '\\StructType\\GET_MobileOperationInfo',
            'GET_MobileOperationInfoResponse' => '\\StructType\\GET_MobileOperationInfoResponse',
            'MobileOperationInfoResponse' => '\\StructType\\MobileOperationInfoResponse',
            'ArrayOfMobileOperationInfo' => '\\ArrayType\\ArrayOfMobileOperationInfo',
            'MobileOperationInfo' => '\\StructType\\MobileOperationInfo',
            'SET_InsertDriver' => '\\StructType\\SET_InsertDriver',
            'SET_InsertDriverResponse' => '\\StructType\\SET_InsertDriverResponse',
            'InsertResponse' => '\\StructType\\InsertResponse',
            'SET_UpdateDriver' => '\\StructType\\SET_UpdateDriver',
            'SET_UpdateDriverResponse' => '\\StructType\\SET_UpdateDriverResponse',
            'SET_DeleteDriver' => '\\StructType\\SET_DeleteDriver',
            'SET_DeleteDriverResponse' => '\\StructType\\SET_DeleteDriverResponse',
        );
    }
}
