<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GET_GeoCodingPOI StructType
 * @subpackage Structs
 */
class GET_GeoCodingPOI extends AbstractStructBase
{
    /**
     * The User
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $User;
    /**
     * The Password
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Password;
    /**
     * The POI_name
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $POI_name;
    /**
     * The countryISO
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $countryISO;
    /**
     * The region
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $region;
    /**
     * Constructor method for GET_GeoCodingPOI
     * @uses GET_GeoCodingPOI::setUser()
     * @uses GET_GeoCodingPOI::setPassword()
     * @uses GET_GeoCodingPOI::setPOI_name()
     * @uses GET_GeoCodingPOI::setCountryISO()
     * @uses GET_GeoCodingPOI::setRegion()
     * @param string $user
     * @param string $password
     * @param string $pOI_name
     * @param string $countryISO
     * @param string $region
     */
    public function __construct($user = null, $password = null, $pOI_name = null, $countryISO = null, $region = null)
    {
        $this
            ->setUser($user)
            ->setPassword($password)
            ->setPOI_name($pOI_name)
            ->setCountryISO($countryISO)
            ->setRegion($region);
    }
    /**
     * Get User value
     * @return string|null
     */
    public function getUser()
    {
        return $this->User;
    }
    /**
     * Set User value
     * @param string $user
     * @return \StructType\GET_GeoCodingPOI
     */
    public function setUser($user = null)
    {
        // validation for constraint: string
        if (!is_null($user) && !is_string($user)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($user)), __LINE__);
        }
        $this->User = $user;
        return $this;
    }
    /**
     * Get Password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->Password;
    }
    /**
     * Set Password value
     * @param string $password
     * @return \StructType\GET_GeoCodingPOI
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($password)), __LINE__);
        }
        $this->Password = $password;
        return $this;
    }
    /**
     * Get POI_name value
     * @return string|null
     */
    public function getPOI_name()
    {
        return $this->POI_name;
    }
    /**
     * Set POI_name value
     * @param string $pOI_name
     * @return \StructType\GET_GeoCodingPOI
     */
    public function setPOI_name($pOI_name = null)
    {
        // validation for constraint: string
        if (!is_null($pOI_name) && !is_string($pOI_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($pOI_name)), __LINE__);
        }
        $this->POI_name = $pOI_name;
        return $this;
    }
    /**
     * Get countryISO value
     * @return string|null
     */
    public function getCountryISO()
    {
        return $this->countryISO;
    }
    /**
     * Set countryISO value
     * @param string $countryISO
     * @return \StructType\GET_GeoCodingPOI
     */
    public function setCountryISO($countryISO = null)
    {
        // validation for constraint: string
        if (!is_null($countryISO) && !is_string($countryISO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($countryISO)), __LINE__);
        }
        $this->countryISO = $countryISO;
        return $this;
    }
    /**
     * Get region value
     * @return string|null
     */
    public function getRegion()
    {
        return $this->region;
    }
    /**
     * Set region value
     * @param string $region
     * @return \StructType\GET_GeoCodingPOI
     */
    public function setRegion($region = null)
    {
        // validation for constraint: string
        if (!is_null($region) && !is_string($region)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($region)), __LINE__);
        }
        $this->region = $region;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GET_GeoCodingPOI
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
