<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SET_DeleteDriver StructType
 * @subpackage Structs
 */
class SET_DeleteDriver extends AbstractStructBase
{
    /**
     * The idDriver
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $idDriver;
    /**
     * The User
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $User;
    /**
     * The Password
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Password;
    /**
     * Constructor method for SET_DeleteDriver
     * @uses SET_DeleteDriver::setIdDriver()
     * @uses SET_DeleteDriver::setUser()
     * @uses SET_DeleteDriver::setPassword()
     * @param int $idDriver
     * @param string $user
     * @param string $password
     */
    public function __construct($idDriver = null, $user = null, $password = null)
    {
        $this
            ->setIdDriver($idDriver)
            ->setUser($user)
            ->setPassword($password);
    }
    /**
     * Get idDriver value
     * @return int
     */
    public function getIdDriver()
    {
        return $this->idDriver;
    }
    /**
     * Set idDriver value
     * @param int $idDriver
     * @return \StructType\SET_DeleteDriver
     */
    public function setIdDriver($idDriver = null)
    {
        // validation for constraint: int
        if (!is_null($idDriver) && !is_numeric($idDriver)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($idDriver)), __LINE__);
        }
        $this->idDriver = $idDriver;
        return $this;
    }
    /**
     * Get User value
     * @return string|null
     */
    public function getUser()
    {
        return $this->User;
    }
    /**
     * Set User value
     * @param string $user
     * @return \StructType\SET_DeleteDriver
     */
    public function setUser($user = null)
    {
        // validation for constraint: string
        if (!is_null($user) && !is_string($user)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($user)), __LINE__);
        }
        $this->User = $user;
        return $this;
    }
    /**
     * Get Password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->Password;
    }
    /**
     * Set Password value
     * @param string $password
     * @return \StructType\SET_DeleteDriver
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($password)), __LINE__);
        }
        $this->Password = $password;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SET_DeleteDriver
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
